Public Endpoints

Get a public form by id

get
Query parameters
langstring · enumOptional

Optional translation language

Possible values:
idstringRequired

Contact form ID to retrieve

Responses
chevron-right
200Success
application/json
idstringRequired
languageall ofRequired
string · enumOptionalPossible values:
enabledbooleanRequired
autoTranslatebooleanRequired
brandNamestringRequired

List of brand names associated with the contact form.

get
/public/contact-form
200Success

Submit completed form

post
Body
storestring · uuidOptional

Store identifier to associate

idstringRequired

Target ID

Example: b6a3aa8c-3a3d-4094-9a7b-015b30d9098f
Responses
post
/public/contact-form/submit
201Success

No content

Get public survey form data

get
Query parameters
trackerstringOptional

Optional survey tracker ID to associate

storestringOptional

Optional store ID to associate

brandstringOptional

Optional brand ID to associate

langstring · enumOptional

Optional translation language

Possible values:
surveystringRequired

Survey ID to retrieve

Responses
chevron-right
200Success
application/json
idstringRequired
languageall ofRequired
string · enumOptionalPossible values:
enabledbooleanRequired
autoTranslatebooleanRequired
preRedirectbooleanRequired

@inheritdoc

externalUrlstring · nullableOptional

External url to redirect to on pre-redirect

sendModeall ofOptional

Channel used to send the survey

string · enumOptionalPossible values:
orderstringOptional

External id of the purchase targeted by the survey This is used to identify the purchase in the external system

get
/public/survey
200Success

Submit completed survey

post
Body
trackerstring · uuidOptional

Tracker identifier for private surveys

storestring · uuidOptional

Store identifier for public surveys

brandstring · uuidOptional

Brand identifier for public surveys

idstringRequired

Target ID

Example: b6a3aa8c-3a3d-4094-9a7b-015b30d9098f
Responses
post
/public/survey/submit
201Success

Last updated